/*
 * Copyright 2022 Chaos Mesh Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
import '@testing-library/jest-dom';
import { render, screen } from '@testing-library/react';
import { ChaosMeshSettings } from 'ChaosMeshSettings';
import React from 'react';

const defaultOptions = {
  jsonData: {
    limit: 300,
  },
};

describe('<ChaosMeshSettings />', () => {
  it('loaded successfully', () => {
    render(<ChaosMeshSettings options={defaultOptions as any} onOptionsChange={() => {}} />);

    expect(screen.getByText('Limit')).toBeInTheDocument();
  });
});
